{ lib, user, ... }:

let keys = [
  "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEQNlGt62dBMojVCX7EUIia+wfSDfLzV4YCPi8SZ2xrp elnu@elnu.com"
]; in
{
  imports = [
    ./hardware-configuration.nix
    # Remember to update for new instances
    ./networking.nix # generated at runtime by nixos-infect
  ];
  services.do-agent.enable = true;
  services.openssh.enable = true;
  users.users.root.openssh.authorizedKeys.keys = keys;
  users.users.${user}.openssh.authorizedKeys.keys = keys;
}